import type { _NSDimension } from "./NSDimension.js";
export declare class _NSUnitPressure extends _NSDimension {
    static alloc(): _NSUnitPressure;
    static new(): _NSUnitPressure;
    init(): _NSUnitPressure;
    /** Base unit - newtonsPerMetersSquared (equivalent to 1 pascal) */
    static newtonsPerMetersSquared(): _NSUnitPressure;
    static gigapascals(): _NSUnitPressure;
    static megapascals(): _NSUnitPressure;
    static kilopascals(): _NSUnitPressure;
    static hectopascals(): _NSUnitPressure;
    static inchesOfMercury(): _NSUnitPressure;
    static bars(): _NSUnitPressure;
    static millibars(): _NSUnitPressure;
    static millimetersOfMercury(): _NSUnitPressure;
    static poundsForcePerSquareInch(): _NSUnitPressure;
}
